## update-manager 0.111.7

=== debian/changelog ===
update-manager (1:0.111.7) jaunty; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - updated for the final release
  * DistUpgrade/DistUpgradeQuirks.py:
    - ensure qwenview is upgraded (LP: #360222)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Apr 2009 22:11:04 +0200

update-manager (1:0.111.6) jaunty; urgency=low

  * UpdateManager/UpdateManager.py:
    - fix crash in free space check (LP: #362066)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Apr 2009 11:07:01 +0200

update-manager (1:0.111.5) jaunty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - do not crash when patch is not installed (LP: #361194)
  * DistUpgrade/DistUpgradeCache.py:
    - more debug output

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Apr 2009 14:59:35 +0200

update-manager (1:0.111.4) jaunty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - make the pyqt4 logger less verbose
  * DistUpgrade/DistUpgradeController.py:
    - deal with pre-configure errors more cleanly (LP: #356781)
  * DistUpgrade/DistUpgradeMain.py:
    - fix error when the backup log dir already exists
  * DistUpgrade/DistUpgrade.cfg:
    - stop enabling apport
  * DistUpgrade/DevelReleaseAnnouncement:
    - update text for the release candidate
  * po/*.po:
    - translation updates from rosetta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Apr 2009 11:09:25 +0200

update-manager (1:0.111.3) jaunty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - cleanup the quirks handling for the StartUgrade
      phase and move the code in here
    - apply patch for install-docs if the user can not install
      the fix from {hardy,intrepid}-proposed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Apr 2009 18:59:43 +0200

update-manager (1:0.111.2) jaunty; urgency=low

  * UpdateManager/Core/MyCache.py:
    - when calculating what category a update should be put in,
      make sure that candidate versions for "other updates" always
      end up there
    - do not try to get changelogs for packages that do not have
      a ubuntu origin (LP: #354740)
  * DistUpgrade/removal_blacklist.cfg:
    - add skype to the removal blacklist (thanks to Nick Lally)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Apr 2009 10:28:34 +0200

update-manager (1:0.111.1) jaunty; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - ensure that dontzap is installed on kubuntu (LP: #349263)
    - ensure to not upgrade to a known broken python2.6 (e.g.
      if the mirrors do not catch up)
  * DistUpgrade/DistUpgradeController.py:
    - avoid conffile prompt because we enabled apport (LP: #348301)
    - deal better with apt ordering bugs and restore the system
      cleanly in this case
    - when commenting out third party sources, leave a space
      between previous comments (thanks to Sidnei da Silva)
  * DistUpgrade/DistUpgradeCache.py:
    - add "BadVersions" config option
  * UpdateManager/Core/MetaRelease.py:
    - ignore bad header line errors (LP: #353335)
  * UpdateManager/UpdateManager.py:
    - start minimized when run with --no-focus-on-map (LP: #353195)
    - set urgency hint when in the background (LP: #353195)
  * po/*.po:
    - updated translations from rosetta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Apr 2009 22:42:17 +0200

update-manager (1:0.111.0) jaunty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - fix pre r6xx/7xx fglrx->ati transition
  * DistUpgrade/DistUpgradeQuirks.py:
    - fix incorrect variable name
  * DistUpgrade/DistUpgradeView.py:
    - remove old crash files on upgrade (thanks to
      Martin Pitt)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Mar 2009 20:49:50 +0100

update-manager (1:0.110.1) jaunty; urgency=low

  * DistUpgrade/DistUpgrade.cfg.hardy:
    - support hardy->jaunty upgrade for kubuntu
  * po/POTFILES.{in,missing}:
    - add missing files (thanks to Gabor Kelemen)
      LP: #347040
  * po/*.po:
    - updated translations from launchpad

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Mar 2009 16:22:06 +0100

update-manager (1:0.110.0) jaunty; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - take changes in update-initramfs into account when
      calculating the space requirements in /boot (LP: #287826)
    - when doing the space calculation, show the required space
      for each directory (if multiple need more space) LP: #219416
  * DistUpgrade/DevelReleaseAnnouncement:
    - updated for beta
  * UpdateManager/DistUpgradeFetcher.py:
    - set 5s timeout for the ReleaseNotes fetching (LP: #109397)
  * UpdateManager/UpdateManager.py:
    - pass the correct FetchProgress to the release-upgrade fetching
      code instead of the incorrect OpProgress

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Mar 2009 16:48:11 +0100

update-manager (1:0.101.1) jaunty; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - catch cache.update() errors that do not raise exceptions
  * DistUpgrade/DistUpgradeController.py:
    - when calculating the obsolete packages, add extra paranoia
      for odd network failures (LP: #335154)
  * DistUpgrade/DistUpgradeAufs.py:
    - do not overlay /var/cache/apt/archives so that the user
      does not have to download the packages twice
    - honor the TMPDIR environment (by using tempfile)
  * DistUpgrade/DistUpgrade.cfg:
    - add powernowd to the forced obsoleted packages (the kernel
      does handle that with the builin ondemand governor now)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgrade.cfg:
    - remove gtk-qt-engine in Kubuntu upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 Mar 2009 17:57:54 +0100

update-manager (1:0.101.0) jaunty; urgency=low

  [ Brian Murray ]
  * UpdateManagerHildon/UpdateManagerHildon.py:
     - wording fix "will be" to "are being" (LP: #338943)
  
  [ Michael Vogt ]
  * UpdateManager/UpdateManagerText.py:
    - fix crash in changelog display (LP: #341577)
      (thanks to Steve Beattie)


=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
XS-Python-Version: all
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common [i386 amd64], fglrx-modaliases [i386 amd64]
Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main

Package: update-manager-core
Architecture: any
Section: admin
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.5),  lsb-release,  python-gnupginterface
Recommends: update-motd
Replaces: update-manager (<< 1:0.93.7)
Conflicts: update-manager (<< 1:0.93.7), computer-janitor (<= 1.11-0ubuntu1)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader


Package: update-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core (= ${source:Version}), python-glade2,  synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
Recommends: software-properties-gtk (>= 0.71.2)
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

Package: update-manager-hildon
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-glade2, gksu, python-dbus, python-gconf, python-hildon, python-vte
Conflicts: update-manager, update-manager-kde
Description: Hildon application that manages apt updates
 This is the Hildon apt update manager.  It checks for updates and lets the user
 choose which to install.

Package: update-manager-text
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-newt
Description: Text application that manages apt updates
 This is the newt apt update manager.  It checks for updates and lets the user
 choose which to install.

Package: update-manager-kde
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-kde4, kdesudo
Description: Support modules for Update Notifier KDE
 Support modules for update-notifier-kde to check for new distro releases and download the
 dist-upgrade tool.

#Package: auto-upgrade-tester
#Architecture: all
#XB-Python-Version: ${python:Versions}
#Depends: ${python:Depends}, ${misc:Depends}, update-manager-core (= ${source:Version}), ubuntu-vm-builder, kvm
#Description: Test release upgrades in a kvm environement
# A tool to do QA for release upgrades in ubuntu that performs upgrades
# in a kvm environment.

## update-manager 0.111.9araneo3

=== debian/changelog ===
update-manager (1:0.111.9araneo3) araneo; urgency=low

  * Install jaunty-araneo-kernel.list to /etc/apt/sources.list.d.  Adds access
    to new repos containing kernel updates only. Needed to address LP: #458863.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 27 Oct 2009 12:23:55 -0400

update-manager (1:0.111.9araneo2) araneo; urgency=low

  * Integrate below Karmic changes and then modify changes to be both
    appropriate for Jaunty (query hal instead of device-kit and don't use
    gtkbuilder) and appropriate for Sharp device (don't give user the Continue
    option and add Japanese translation of battery dialog)

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - warn if running on battery (LP: #377697)
  * UpdateManager/UpdateManager.py:
    - show the on-battery warning on first map only (LP: #416067)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 23 Oct 2009 14:39:13 -0400

update-manager (1:0.111.9araneo1) araneo; urgency=low

  * data/meta-release: change to point at araneo specific url
  * debian/rules: remove dist-upgrade tarball generation which won't build
    in our build system
  * debian/control: add Depends for canonical-oem-keyring 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 03 Sep 2009 14:45:03 -0400

update-manager (1:0.111.9) jaunty-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - increase the size that the kernel requires in /boot
      (LP: #365623)
  * DistUpgrade/DistUpgradeApport.py:
    - fix apport hook integration (LP: #366048)
  * DistUpgrade/DistUpgradeController.py:
    - fix crash in partial upgrade (LP: #366048)
  * DistUpgrade/DistUpgradeQuirks.py:
    - make the gwenview upgrade transition more robust
      (LP: #365840)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Apr 2009 14:41:14 +0200

update-manager (1:0.111.8) jaunty-proposed; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - add "grub" to the list of packages to keep installed
      (LP: #363465)
    - ensure brasero is upgraded (thanks to Chris Jones for
      the report) (LP: #364136)
    - ensure guidance-power-manager is removed on upgrade 
      (LP: #364620)
  * DistUpgrade/DistUpgradeCache.py:
    - support DistUpgradeCache.markUpgrade()
  * DistUpgrade/mirrors.cfg:
    - add "mirror.files.bigpond.com" (thanks to wgrant)
  * debian/control:
    - build-depend on latest nvidia-common (LP: #363500) to ensure
      the nvidia-common if is included in the internal copy of
      u-m
  * DistUpgrade/DistUpgradeQuirks.py:
    - when the upgrade starts, remove old hal.postinst to prevent
      the trigger from running that causes network-manager to shutdown
      all connections (LP: #327053)
  * UpdateManager/Core/MetaRelease.py, UpdateManager/MetaReleaseGObject.py:
    - fix "no longer supported" message (LP: #364583)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Apr 2009 13:53:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XS-Python-Version: all
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common [i386 amd64], fglrx-modaliases [i386 amd64]
+Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common (>= 0.2.11) [i386 amd64], fglrx-modaliases [i386 amd64]
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.8.0
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
@@ -12,7 +12,7 @@
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.5),  lsb-release,  python-gnupginterface
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.5),  lsb-release,  python-gnupginterface, canonical-oem-keyring
 Recommends: update-motd
 Replaces: update-manager (<< 1:0.93.7)
 Conflicts: update-manager (<< 1:0.93.7), computer-janitor (<= 1.11-0ubuntu1)

=== debian/rules ===
#!/usr/bin/make -f

PKG=update-manager
DEBVER=$(shell LC_ALL=C dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed s/.*://)
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

ARCH=all
DIST=$(shell lsb_release -c -s)
TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz

PYVERS=$(shell pyversions -vr)

build: build-stamp
build-stamp: $(PYVERS:%=build-python%)
build-python%:
	dh_testdir
	python$* setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	python setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	set -e; \
	for v in $(PYVERS); do \
	  python$$v setup.py install --root=$(CURDIR)/debian/tmp/ --install-layout=deb   ; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_scrollkeeper
	dh_installmime
	dh_desktop
	dh_icons
	dh_gconf
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	DH_PYCENTRAL=include-links dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch


.PHONY: build clean binary-indep binary-arch binary install

## update-manager 0.111.9araneo4

=== debian/changelog ===
update-manager (1:0.111.9araneo4) jaunty; urgency=low

  * SECURITY UPDATE: arbitrary code execution via directory traversal
    - UpdateManager/Core/DistUpgradeFetcherCore.py: verify signature before
      unpacking the tarball.
    - CVE-2011-3152

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 25 Apr 2012 02:51:25 +0900

## update-manager 0.111.9araneo4sendai1

=== debian/changelog ===
update-manager (1:0.111.9araneo4sendai1) jaunty; urgency=low

  * Bump version for sendai. 

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 25 Apr 2012 07:09:50 +0900

## update-manager 0.111.9athens1

=== debian/changelog ===
update-manager (1:0.111.9athens1) athens; urgency=low

  * data/meta-release: change to point at athens specific url
  * debian/rules: remove dist-upgrade tarball generation which won't build
    in our build system
  * debian/control: add Depends for canonical-oem-keyring 

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 03 Sep 2009 21:31:20 -0400

=== debian/control ===


## update-manager 0.111.9moblin3

=== debian/changelog ===
update-manager (1:0.111.9moblin3) moblin-jaunty; urgency=low

  * debian/rules - removed creation of dist-upgrade.tar.gz as 
    breaks upload of this package to reprepro 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 27 Aug 2009 00:12:48 -0400

update-manager (1:0.111.9moblin2) moblin-jaunty; urgency=low

  * debian/control: add Depends for canonical-oem-keyring 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 26 Aug 2009 23:43:19 -0400

update-manager (1:0.111.9moblin1) moblin-jaunty; urgency=low

  * modified data/meta-release to change URL for dist-upgrades 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 26 Aug 2009 17:22:10 -0400

## update-manager 0.111.9walpole3

=== debian/changelog ===
update-manager (1:0.111.9walpole3) walpole; urgency=low

  * debian/rules: removed dist-upgrade.tar.gz installation so to fix
    broken build 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 27 Aug 2009 12:06:59 -0400

update-manager (1:0.111.9walpole2) walpole; urgency=low

  * Remove cdbs stuff -- break building.
  * Just modified data/meta-release conf file directly to point at new repo

 -- Michael Frey <michael.frey@canonical.com>  Tue, 21 Jul 2009 14:39:25 -0400

update-manager (1:0.111.9walpole1) walpole; urgency=low

  * Modified debian/rules and debian/control to include cdbs
  * Added debian/patches/01-custom-dist-repo.patch to point to walpole repo

 -- Michael Frey <michael.frey@canonical.com>  Tue, 21 Jul 2009 14:22:04 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.5),  lsb-release,  python-gnupginterface, canonical-oem-keyring
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.5),  lsb-release,  python-gnupginterface
 Recommends: update-motd
 Replaces: update-manager (<< 1:0.93.7)
 Conflicts: update-manager (<< 1:0.93.7), computer-janitor (<= 1.11-0ubuntu1)

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	python$* setup.py build
 	touch $@
 
-clean:
+clean::
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp

## update-manager 0.111.10

=== debian/changelog ===
update-manager (1:0.111.10) jaunty-proposed; urgency=low

  * UpdateManager/Core/utils.py:
    - fix url_downloadable() when a proxy needs to be used
      (LP: #446552)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Apr 2009 15:50:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common (>= 0.2.11) [i386 amd64], fglrx-modaliases [i386 amd64]
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.8.0
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/jaunty
 
 Package: update-manager-core
 Architecture: any

## update-manager 0.126.6

=== DistUpgrade/base-installer/kernel/Makefile ===
ARCHES = alpha amd64 armeb armel hppa i386 ia64 lpia m68k mips mipsel powerpc s390 sparc

test:
	@STATUS=0; \
	cd tests && \
	for x in $(ARCHES); do ./runtests "$$x" || STATUS=1; done; \
	exit "$$STATUS"

=== debian/changelog ===
update-manager (1:0.126.6) karmic; urgency=low

  * debian/control:
    - updated to point the karmic branch
  * UpdateManager/GtkProgress.py:
    - fix small cosmetic problem with the release-upgrader
      download window size
  * DistUpgrade/xorg_fix_proprietary.py:
    - if xorg.conf is zero size, remove it (LP: # 439551)
  * change unicode "&#x25E6;" to "*" to make translations
    work (LP: #344693) and unfuzzy translations

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Oct 2009 14:06:21 +0200

update-manager (1:0.126.5) karmic; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - generate note if language-support is incomplete
  * DistUpgrade/DistUpgrade.cfg:
    - stop enabled apport during the upgrade
  * DistUpgrade/DistUpgradeView.py
    - add waitChild implementation from python-apt to ensure
      its working for buggy hardy python-apt
  * DistUpgrade/DistUpgradeQuirks.py:
    - mark mysql-{client,server}-5.0 manual installed in the 
      cluster check (LP: #453513)
    - check if running under a vserver setup and error if this
      is the case. upstart does not support this kind of setup
      (LP: #452011)
  * UpdateManager/Core/utils.py:
    - do not show error if DeviceKit.Power is not available
      (LP: #452004)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Oct 2009 18:14:28 +0200

update-manager (1:0.126.4) karmic; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - fix running under ssh detection
  * DistUpgrade/DistUpgradeQuirks.py:
    - add check if NBD clustering is in use in mysql server
      and do not upgrade to 5.1 is it is (LP: #450837)
  * DistUpgrade/DistUpgrade.cfg:
    - remove mysql-server rule, this is now done in the above 
      quirks handler
  * DistUpgrade/DistUpgradeController.py:
    - do not do list cleanup so that cancel restores all of the
      previous state. the cleanup will be done later by the apt
      cron job

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Oct 2009 23:36:49 +0200

update-manager (1:0.126.3) karmic; urgency=low

  * UpdateManager/UpdateManager.py:
    - refresh "last updated" text periodically to ensure its
      not stale (LP: #450286)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - deal with io errors when writing the log (LP: #447693)
  * debian/control:
    - add or-dependency to qemu-kvm
  * DistUpgrade/DistUpgrade.cfg:
    - add policykit-gnome and gnome-mount to the forced obsoleted
      packages (thanks to seb128) 
  * merge translations from rosetta
  * DistUpgrade/DistUpgradeQuirks.py:
    - stop docvert-converter when the upgrade starts, otherwise
      OOo will not upgrade at all (LP: #450569)
  * pre-build.sh:
    - fix bug in the demoted.cfg generation
    - fixes in cleanup handling
  * UpdateManager/backend/__init__.py:
    - honor UPDATE_MANAGER_FORCE_BACKEND_APTDAEMON environment
  * DistUpgrade/DistUpgrade.cfg.hardy:
    - updated to include demoted.cfg.hardy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Oct 2009 22:28:26 +0200

update-manager (1:0.126.2) karmic; urgency=low

  * setup.py:
    - fix FTBFS - the python from two days ago became
      stricter than it used to be (thanks to james_w)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Oct 2009 20:44:11 +0200

update-manager (1:0.126.1) karmic; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - log exceptions from pm.DoInstall() into main.log.
      this helps identifiying Dpkg::Pre-Invoke problems
  * DistUpgrade/DistUpgradeCache.py:
    - fix sandbox upgrade mode
  * DistUpgrade/DistUpgrade.cfg:
    - hint for mysql-server upgrade (LP: #413789)
  * UpdateManager/backend/__init__.py:
    - change order of backends to: synaptic, aptdaemon

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Oct 2009 18:30:55 +0200

update-manager (1:0.126) karmic; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - add gnome-app-install to the ForcedObsoletes
  * DistUpgrade/DistUpgrade.cfg.hardy:
    - add ability to upgrade from hardy to karmic (as asked for
      by Jonathan Riddell)
  * DistUpgrade/DistUpgradeQuirks.py:
    - add quirk handler to mark the dependencies of
      language-support-translations-* as manual on upgrade
  
      The language-support-translations- packages are removed in 
      karmic and would otherwise be marked as auto-removable.
      (LP: #439296)
    - convert PASS value from 1 to 0 for ntfs entries in
      /etc/fstab (LP: #441242) and add tests for it
    - put 386 to generic transition code here and decouple from
      the kernel selection
    - inhibit gnome-screensaver once the upgrade started 
      to avoid X crash (LP: #439594)
  * DistUpgrade/DistUpgradeCache.py:
    - workaround issues with kdesu when it drop the permission bits
      in a tmpdir (thanks to Jonathan Riddell)
    - fix base-installer kernel selection (LP: #441629)
    - fix log dir does not exist, create it (LP: #441959)
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - give up lock before running aptdaemon (LP: #445920)
  * po/ 
    - updated from launchpad (required as during a release upgrade
      we can't use langpacks)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 Oct 2009 17:45:25 +0200

update-manager (1:0.125.6) karmic; urgency=low

  * AutoUpgradeTester/UpgradeTestBackendSSH.py:
    - use ssh batch mode
  * AutoUpgradeTester/auto-upgrade-tester:
    - show log files
  * DistUpgrade/DevelReleaseAnnouncement:
    - update for BETA
  * DistUpgrade/DistUpgradeCache.py:
    - add new rule to ensure that base meta packages are always
      kept installed. this helps the server upgrade with the syslogd
      to rsyslog transition

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Sep 2009 18:51:49 +0200

update-manager (1:0.125.5) karmic; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py 
    - fix kbluetooth name to kbluetooth4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Sep 2009 20:18:49 +0100

update-manager (1:0.125.4) karmic; urgency=low



## update-manager 0.126.9netbook0moblin0billerica2

=== debian/changelog ===
update-manager (1:0.126.9netbook0moblin0billerica2) billerica; urgency=low

  * debian/rules: 
    - carry additional change from netbook -- remove creation of 
      dist-upgrade.tar.gz as breaks upload of this package to reprepro

 -- Gary Lasker <gary.lasker@canonical.com>  Fri, 05 Mar 2010 22:05:58 -0500

update-manager (1:0.126.9netbook0moblin0billerica1) billerica; urgency=low

  * Merge karmic update, carry change:
    - modified data/meta-release to change URL for dist-upgrades

 -- Gary Lasker <gary.lasker@canonical.com>  Fri, 05 Mar 2010 21:15:00 -0500

update-manager (1:0.126.9) karmic-proposed; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - really stop enabling apport during the upgrade (LP: #465619)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Oct 2009 13:54:08 -0700

update-manager (1:0.126.8) karmic-proposed; urgency=low

  * when the server is overloaded and no Release file information
    can be obtained, show a better error message instead of the
    bogus "ubuntu-minimal" is missing (LP: #446956)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Oct 2009 10:58:36 +0100

update-manager (1:0.126.7) karmic-proposed; urgency=low

  * po/*.po:
    - update translations from LP (LP: #460547)
  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - check if running on a system with noexec /tmp and give a propper
      error message (LP: #461744)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - add missing locale.bindtextdomain() (LP: #460547)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Oct 2009 14:11:41 +0100

update-manager (1:0.126.6moblin1) billerica; urgency=low

  * debian/rules - removed creation of dist-upgrade.tar.gz as 
    breaks upload of this package to reprepro 
  * modified data/meta-release to change URL for dist-upgrades 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 07 Dec 2009 15:59:42 -0500

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	python$* setup.py build
 	touch $@
 
-clean::
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
@@ -42,6 +42,14 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
+#	# now the dist-upgrader special tarball
+#	(cd DistUpgrade/ && \
+#	   ./build-tarball.sh && \
+#	   mkdir -p $(DEBVER)  && \
+#	   cp $(DIST).tar.gz ReleaseAnnouncement DevelReleaseAnnouncement \
+#	      $(DEBVER) && \
+#	   tar czvf ../../$(TARNAME) $(DEBVER)/ReleaseAnnouncement $(DEBVER)/DevelReleaseAnnouncement $(DEBVER)/$(DIST).tar.gz )
+#	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
 
 # Build architecture-dependent files here.
 binary-arch: build install

## update-manager 0.126.10

=== debian/changelog ===
update-manager (1:0.126.10) karmic-proposed; urgency=low

  * UpdateManager/Core/utils.py:
    - fix proxy detection in url_downloadable (LP: #446552)
  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - add missing "logging" import (LP: #475941)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 May 2010 16:13:48 +0200

=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
XS-Python-Version: all
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common (>= 0.2.11) [i386 amd64], fglrx-modaliases [i386 amd64]
Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/karmic

Package: update-manager-core
Architecture: any
Section: admin
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.5),  lsb-release,  python-gnupginterface
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.93.7)
Conflicts: update-manager (<< 1:0.93.7), computer-janitor (<= 1.11-0ubuntu1)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader


Package: update-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core (= ${source:Version}), synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
Recommends: software-properties-gtk (>= 0.71.2)
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

Package: update-manager-hildon
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, gksu, python-dbus, python-gconf, python-hildon, python-vte
Conflicts: update-manager, update-manager-kde
Description: Hildon application that manages apt updates
 This is the Hildon apt update manager.  It checks for updates and lets the user
 choose which to install.

Package: update-manager-text
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-newt
Description: Text application that manages apt updates
 This is the newt apt update manager.  It checks for updates and lets the user
 choose which to install.

Package: update-manager-kde
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-kde4, kdesudo
Description: Support modules for Update Notifier KDE
 Support modules for update-notifier-kde to check for new distro releases 
 and download the dist-upgrade tool.

Package: auto-upgrade-tester
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}
Recommends: qemu-kvm|kvm, ubuntu-vm-builder
Description: Test release upgrades in a virtual environement
 A tool to do QA for release upgrades in ubuntu that performs upgrades
 in a virtual environment. Supported backends are "chroot", "kvm" and
 "EC2".

## update-manager 0.134.7

=== debian/changelog ===
update-manager (1:0.134.7) lucid; urgency=low

  * DistUpgrade/removal_blacklist.cfg:
    - remove gobuntu-desktop from the removal blacklist (LP: #567189)
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - ensure that mysql-{server, client} are properly upgraded
      (LP: #568606)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Apr 2010 21:13:20 +0200

update-manager (1:0.134.6) lucid; urgency=low

  * fix FTBFS caused by /usr/bin/check-new-release being a symlink
    instead of a real file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Apr 2010 09:31:33 +0200

update-manager (1:0.134.5) lucid; urgency=low

  * DistUpgrade/DistUpgradeAufs.py:
    - fix crash in aufs (--sandbox mode)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Apr 2010 20:07:14 +0200

update-manager (1:0.134.4) lucid; urgency=low

  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - do not enable apport anymore
  * DistUpgrade/DistUpgradeViewGtk.py:
    - set empty dialog titles for error/information dialogs (it looks
      like glade removed those for some reason from the .ui file)
  * DistUpgrade/DistUpgradeAufs.py:
    - fix crash if aufs (--sandbox mode) is used (LP: #562394)
  * DistUpgrade/DistUpgradeMain.py:
    - fix generation of system state file for non-existing dirs/files
      (LP: #561872)
  * UpdateManager/UpdateManager.py:
    - provide a LIST_TOGGLE_CHECKED column as a workaround for orca
      that does not work with values updated via 
      column_install.set_cell_data_func (LP: #561563)
  * update-manager:
    - use gettext.install(unicode=True) to avoid breaking with
      optparse and ja.po (LP: #557804)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Apr 2010 17:54:47 +0200

update-manager (1:0.134.3) lucid; urgency=low

  * do-release-upgrade:
    - print when a new release is available in "-q" so that the motd
      is correct (thanks to Dustin Kirkland)
  * debian/release-upgrade-motd:
    - add newline after release info (thanks to Dustin Kirkland)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Apr 2010 22:52:08 +0200

update-manager (1:0.134.2) lucid; urgency=low

  * DistUpgrade/DistUpgradeMain.py:
    - ignore lspci errors
  * UpdateManager/Core/MyCache.py:
    - simplify url schema for third party changelogs (LP: #45129)
  * DistUpgrade/DistUpgradeCache.py:
    - check if the kernel returned from base-installer is downloadable
      (needed on hardy cdrom only upgrades)
  * debian/91-release-upgrade:
    - use a small script instead of a symlink to ensure that dpkg
      treats them as conffiles (LP: #559194)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Apr 2010 15:44:39 +0200

update-manager (1:0.134.1) lucid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - honor "DEBIAN_FRONTEND=noninteractive" on pkg failure (LP: #538206)
  * DistUpgrade/DistUpgradeQuirks.py:
    - stop apparmor before dpkg starts on hardy -> lucid upgrades to
      avoid potentially confusing error messages during the upgrade
      (LP: #559433)
  * DistUpgrade/DistUpgradeCache.py, DistUpgrade/build-tarball.sh:
    - include obselte nvidia pkgnames to properly transition old
      to new drivers (LP: #553369)
  * DistUpgrade/DistUpgradeViewText.py:
    - show packages that will be removed (because they were auto installed)
      as well (LP: #558438)
    - fix i18n bug in details output
  * UpdateManager/Core/MyCache.py:
    - support third party changelogs by using  ArchiveURI() and
      append a similar structure as changelogs.ubuntu.com uses 
      (LP: #45129)
  * UpdateManager/Core/MetaRelease.py:
    - do not crash if meta-release file can not be parsed, just remove
      the broken file instead (LP: #558396)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Apr 2010 18:32:59 +0200

update-manager (1:0.134) lucid; urgency=low

  [ Barry Warsaw ]
  * Bump up the amount of /boot space calculated per kernel.  The current
    value appears to undercount by about 260K/kernel. (LP: #132311)
  
  [ Michael Vogt ]
  * refresh translations from launchpad
  * update "10.04" strings to "10.04 LTS" and unfuzzy translations
  * when requesting the release announcement, append ?lang=current_lang
    to the request URI
  * update quirks for updates from hardy
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - add extra protection against video driver removal (LP: #556629)
  * DistUpgrade/DistUpgradeMain.py:
    - improve logging and save system state before performing the 
      upgrade. Suggested by Matt Zimmerman (LP: #551646)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Apr 2010 23:18:25 +0200

update-manager (1:0.133.11) lucid; urgency=low

  * UpdateManager/GtkProgress.py:
    - remove window title on cache progress (LP: #549936)
  * check-new-release-gtk:
    - if no ReleaseNotesHtml key is found, do nothing (it means the
      meta-release file does not support this client)
  * check-new-release-gtk, UpdateManager/Core/MetaRelease.py: 
    - improve debugging
  * UpdateManager/Core/utils.py:
    - add META_RELEASE_FAKE_CODENAME environment that can be used to
      test/force release upgrades
  * check-new-release-gtk:
    - append language parameter to uri
    - support --debug

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 01 Apr 2010 00:10:14 +0200

update-manager (1:0.133.10) lucid; urgency=low

  * help upgrade by hinting usplash gets removed in favor of 
    plymouth

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Mar 2010 19:38:15 +0200

update-manager (1:0.133.9) lucid; urgency=low

  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeCache.py:
    - do not warn about demoted packages that get removed later anyway
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - remove deskbar-applet, and nautilus-cd-burner on ubuntu-desktop
      upgrade   (as discussed with the desktop team)
    - remove notification-daemon in favor of notify-osd in 


## update-manager 0.134.9common0omsk2

=== debian/changelog ===
update-manager (1:0.134.9common0omsk2) lucid; urgency=low

  * UpdateManager/UpdateManager.py:
    - When rebooting, don't ask gnome-session to reboot, just reboot
      LP: #633234

 -- Michael Terry <michael.terry@canonical.com>  Wed, 08 Sep 2010 11:06:28 -0400

update-manager (1:0.134.9common0omsk1) lucid; urgency=low

  * Rebase on lucid-updates, remaining changes:
    - UpdateManager/UpdateManager.py: Hide Settings button
    - data/meta-release: Use omsk URLs

 -- Michael Terry <michael.terry@canonical.com>  Wed, 23 Jun 2010 11:47:01 -0400

update-manager (1:0.134.9) lucid-proposed; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - add ubuntu-netbook-remix and ubuntu-netbook to valid
      meta-packages to ensure clean transition for the rename
      of ubuntu-netbook-remix to ubuntu-netbook (LP: #574279)
  * DistUpgrade/DistUpgradeCache.py:
    - Check if the metapkg is actually upgradable. This covers
      the case of ubuntu-netbook-remix that may no longer be 
      available to a user if "universe" is disabled (LP: #574279)
  * DistUpgrade/DistUpgradeQuirks.py:
    - Add workaround for nm-applet dying during the upgrade. At
      the start up of the update we take it down in a controlled
      way (LP: #456468)
    - add workaround for wine upgrade failure (LP: #571999)
    - help the upgrade if both ubuntu-desktop and xubuntu-desktop
      are installed (LP: #571743)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 May 2010 09:49:43 +0200

update-manager (1:0.134.8) lucid-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - show pulse while calculating the changes (LP: #548398)
  * DistUpgrade/DistUpgradeQuirks.py:
    - add workaround for 10_lupin infinite loop (LP: #540579)
      Thanks to Juergen Klar for providing the test-case
  * DistUpgrade/10_lupin:
    - include (fixed) lucid version of 10_lupin that fixes a possible
      infinite loop on upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Apr 2010 17:08:46 +0200

## update-manager 0.134.10common0hedley1

=== debian/changelog ===
update-manager (1:0.134.10common0hedley1) lucid; urgency=low

  * Merge with lucid-updates.
  * debian/control: Set Vcs-Bzr: to hedley branch; branched from
    lp:ubuntu/lucid-updates/update-manager (NB, NOT from official
    ~ubuntu-core-dev branch).

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 30 Sep 2010 15:59:03 +0200

update-manager (1:0.134.10) lucid-proposed; urgency=low

  * DistUpgrade/DistUpgradeMain.py:
    - add filter for "apt API not stable yet" warning (for 
      hardy->lucid upgrades) (LP: #534200)
  * UpdateManager/Core/utils.py:
    - fix url_downloadable and add tests, based on the patch from
      Paulo Albuquerque, many thanks (LP: #396187)
  * DistUpgrade/DistUpgradeViewNonInteractive.py:
    - make the dpkg-status file parser more robust against 
      unexpected data (LP: #574837)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Jun 2010 16:01:01 +0200

update-manager (1:0.134.7common0hedley1) lucid; urgency=low

  * data/meta-release: change to point at hedley specific url
  * debian/rules: remove dist-upgrade tarball generation which won't build
    in our build system
  * debian/control: add Depends for canonical-oem-keyring

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 17 Jun 2010 11:28:02 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common (>= 0.2.11) [i386 amd64], fglrx-modaliases [i386 amd64]
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.8.0
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/karmic
+Vcs-Bzr: http://bazaar.launchpad.net/~hedley-team/hedley/update-manager
 
 Package: update-manager-core
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.5),  lsb-release,  python-gnupginterface
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.13.4ubuntu3),  lsb-release,  python-gnupginterface, canonical-oem-keyring
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.93.7)
 Conflicts: update-manager (<< 1:0.93.7), computer-janitor (<= 1.11-0ubuntu1)

## update-manager 0.134.11

=== debian/changelog ===
update-manager (1:0.134.11) lucid-proposed; urgency=low

  * UpdateManager/UpdateManager.py:
    - do not crash if the free space check fails (LP: #656881)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Oct 2010 09:18:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-central (>= 0.5.6), python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common (>= 0.2.11) [i386 amd64], fglrx-modaliases [i386 amd64]
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.8.0
-Vcs-Bzr: http://bazaar.launchpad.net/~hedley-team/hedley/update-manager
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/lucid
 
 Package: update-manager-core
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.13.4ubuntu3),  lsb-release,  python-gnupginterface, canonical-oem-keyring
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.13.4ubuntu3),  lsb-release,  python-gnupginterface
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.93.7)
 Conflicts: update-manager (<< 1:0.93.7), computer-janitor (<= 1.11-0ubuntu1)

=== debian/rules ===
--- 
+++ 
@@ -42,14 +42,14 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-#	# now the dist-upgrader special tarball
-#	(cd DistUpgrade/ && \
-#	   ./build-tarball.sh && \
-#	   mkdir -p $(DEBVER)  && \
-#	   cp $(DIST).tar.gz ReleaseAnnouncement DevelReleaseAnnouncement \
-#	      $(DEBVER) && \
-#	   tar czvf ../../$(TARNAME) $(DEBVER)/ReleaseAnnouncement $(DEBVER)/DevelReleaseAnnouncement $(DEBVER)/$(DIST).tar.gz )
-#	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
+	# now the dist-upgrader special tarball
+	(cd DistUpgrade/ && \
+	   ./build-tarball.sh && \
+	   mkdir -p $(DEBVER)  && \
+	   cp $(DIST).tar.gz ReleaseAnnouncement DevelReleaseAnnouncement \
+	      $(DEBVER) && \
+	   tar czvf ../../$(TARNAME) $(DEBVER)/ReleaseAnnouncement $(DEBVER)/DevelReleaseAnnouncement $(DEBVER)/$(DIST).tar.gz )
+	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
 
 # Build architecture-dependent files here.
 binary-arch: build install

## update-manager 0.134.11common0charlotte5

=== debian/changelog ===
update-manager (1:0.134.11common0charlotte5) lucid; urgency=low

  * data/release-upgrades: never prompt for a release upgrade (LP: #784847)

 -- Alex Chiang <achiang@canonical.com>  Tue, 24 May 2011 16:04:22 -0600

update-manager (1:0.134.11common0charlotte4) lucid; urgency=low

  * add oem translations of target strings in target langs.

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 08 Mar 2011 16:17:16 -0500

update-manager (1:0.134.11common0charlotte3) lucid; urgency=low

  * data/glade/UpdateManager.ui:
    - Fix layout of 3G messages so they do not take up excessive vertical space
  * UpdateManager/Core/roam.py:
    - cherry pick r2043 and r2044 from upstream:
      - check modem type (gsm, cdma) before accessing it
      - fix return types, add --test switch

 -- Alex Chiang <achiang@canonical.com>  Wed, 02 Mar 2011 10:09:05 -0700

update-manager (1:0.134.11common0charlotte2) lucid; urgency=low

  * UpdateManager/UpdateManager.py, data/glade/UpdateManager.ui:
    - Incorporate Vodafone warning message (LP: #692426)

 -- Alex Chiang <achiang@canonical.com>  Tue, 01 Mar 2011 18:33:37 -0700

update-manager (1:0.134.11common0charlotte1) lucid; urgency=low

  * Backport roaming detection (LP: #721105)
    [ Michael Vogt ]
    - data/glade/UpdateManager.ui, UpdateManager/UpdateManager.py:
      - improve wording of roaming warning, thanks to Alex Chiang
      - make the roaming warning label wrap
    - UpdateManager/Core/roam.py:
      - add backend for roaming detection, thanks to Alex Chiang
      - display warning when on 3g and when roaming (fixes half of
        LP: #323108)

 -- Alex Chiang <achiang@canonical.com>  Tue, 01 Mar 2011 17:22:25 -0700

## update-manager 0.134.11.2

=== debian/changelog ===
update-manager (1:0.134.11.2) lucid-security; urgency=low

  * REGRESSION FIX:
    - DistUpgrade/DistUpgradeViewKDE.py: fix regression caused by improper
      return value handling. (LP: #933225)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 15 Feb 2012 22:47:06 -0500

update-manager (1:0.134.11.1) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via directory traversal
    (LP: #881548)
    - UpdateManager/Core/DistUpgradeFetcherCore.py: verify signature before
      unpacking the tarball.
    - CVE-2011-3152
  * SECURITY UPDATE: information leak via insecure temp file (LP: #881541)
    - DistUpgrade/DistUpgradeViewKDE.py: use mkstemp instead of mktemp.
    - CVE-2011-3154

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Nov 2011 09:31:48 -0500

## update-manager 0.134.12.1

=== debian/changelog ===
update-manager (1:0.134.12.1) lucid-proposed; urgency=low

  * Add in an apport source package hook to ensure that bugs reported about
    update-manager include details regarding the upgrade process (LP: #927979)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Feb 2012 10:23:31 -0800
